Export Binder Sections
Use this request to export only specific sections and documents from the latest version of a binder in your Vault. This will export only parts of the binder, not the complete binder.
Before submitting this request:
- The Export Binder feature must be enabled in your Vault.
- You must be assigned permissions to use the API.
- You must have the Export Binder permission.
- You must have the View Document permission for the binder.
- Only documents in the binder which you have the View Document permission are available to export.
To export the latest version,
/api/{version}/objects/binders/{binder_id}/actions/exportTo export a specific version,
/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/exportHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
{major_version} | The binder major_version_number__v field value. |
{minor_version} | The binder minor_version_number__v field value. |
Query Parameters
Section link for Query ParametersCreate a CSV or JSON input file with the id values of the binder sections and/or documents to be exported.
To retrieve a list of all nodes from a binder, GET /api/{version}/objects/binders/{binder_id}?depth=all. You may include any number of valid nodes. Vault will ignore id values which are invalid, but will export all which are valid.
Exporting a binder section node will automatically include all of its subsections and documents therein.
Request: Export latest version
Section link for Request: Export latest versioncurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
--data-raw 'id
1415381339215
1415381339220' \
https://myvault.veevavault.com/api/v26.1/objects/binders/454/actions/exportRequest: Export a specific version
Section link for Request: Export a specific versioncurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
--data-raw 'id
1415381339215
1415381339220' \
https://myvault.veevavault.com/api/v26.1/objects/binders/454/1/0/actions/exportResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Job for Binder Export Started",
"URL": "https://myvault.veevavault.com/api/v26.1/services/jobs/1201",
"job_id": 1201
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
url- The URL to retrieve the current status of the binder export job.job_id- The Job ID value is used to retrieve the status and results of the binder export request.